Skip to content
Permalink
Browse files
CLOUDSTACK-5288 review comments
  • Loading branch information
Radhika PC committed Jan 13, 2014
1 parent 36c7d4e commit 51f1f7674283567bd2dd399b66a4ab20265f525b
Showing 1 changed file with 11 additions and 10 deletions.
@@ -27,20 +27,21 @@
sequence of the VR upgrades. The sequencing is based on Infrastructure hierarchy, such as by
Cluster, Pod, or Zone, and Administrative (Account) hierarchy, such as by Tenant or Domain. As
an administrator, you can also determine when a particular customer service, such as VR, is
upgraded within a specified upgrade interval. During the entire duration of the upgrade, users
can launch new services or make changes to an existing service. Upgrade operation is enhanced to
increase the upgrade speed by allowing as many upgrade operations in parallel as
possible.</para>
upgraded within a specified upgrade interval. Upgrade operation is enhanced to increase the
upgrade speed by allowing as many upgrade operations in parallel as possible. </para>
<para>During the entire duration of the upgrade, users cannot launch new services or make changes
to an existing service.</para>
<para>Additionally, using multiple versions of VRs in a single instance is supported. In the
Details tab of a VR, you can view the version and whether it requires upgrade. During the
Management Server upgrade, &PRODUCT; checks whether VR is at the latest version before
performing any operation on the VR. To support this, a new global parameter,
<parameter>router.version.check</parameter>, has been added. If set to true, minimum required
version of VR is checked before performing any operation. No operation is performed if the VR is
not at the required version. Services of the older version VR continue to be available, but no
further operations can be performed on the VR until it is upgraded to the latest version. This
will be a transient state until the VR is upgraded. This will ensure that the availability of VR
services and VR state is not impacted due to the Management Server upgrade. </para>
<parameter>router.version.check</parameter>, has been added. This parameter is set to true by
default, which implies minimum required version is checked before performing any operation. No
operation is performed if the VR is not at the required version. Services of the older version
VR continue to be available, but no further operations can be performed on the VR until it is
upgraded to the latest version. This will be a transient state until the VR is upgraded. This
will ensure that the availability of VR services and VR state is not impacted due to the
Management Server upgrade. </para>
<para>The following service will be available even if the VR is not upgraded. However, no changes
for any of the services can be sent to the VR, until it is upgraded:</para>
<itemizedlist>

0 comments on commit 51f1f76

Please sign in to comment.